org.apache.poi.hslf.model.textproperties

## Class HSLFTabStop

- java.lang.Object
- - org.apache.poi.hslf.model.textproperties.HSLFTabStop

- All Implemented Interfaces:
    Duplicatable, GenericRecord, TabStop

      @Internal
      public class HSLFTabStop
      extends java.lang.Object
      implements TabStop, Duplicatable, GenericRecord

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.poi.sl.usermodel.TabStop

      `TabStop.TabStopType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HSLFTabStop(HSLFTabStop other)`
    `HSLFTabStop(int position, TabStop.TabStopType type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `HSLFTabStop` | `clone()` Deprecated.
    `HSLFTabStop` | `copy()`
    `boolean` | `equals(java.lang.Object obj)`
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `int` | `getPosition()`
    `double` | `getPositionInPoints()` Gets the position in points relative to the left side of the paragraph.
    `TabStop.TabStopType` | `getType()`
    `int` | `hashCode()`
    `void` | `setPosition(int position)`
    `void` | `setPositionInPoints(double points)` Sets the position in points relative to the left side of the paragraph
    `void` | `setType(TabStop.TabStopType type)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren, getGenericRecordType`

- - ### Constructor Detail

    - #### HSLFTabStop

          public HSLFTabStop(int position,
                             TabStop.TabStopType type)

    - #### HSLFTabStop

          public HSLFTabStop(HSLFTabStop other)

  - ### Method Detail

    - #### getPosition

          public int getPosition()

    - #### setPosition

          public void setPosition(int position)

    - #### getPositionInPoints

          public double getPositionInPoints()

      Description copied from interface: `TabStop`
      Gets the position in points relative to the left side of the paragraph.
      Specified by:
        `getPositionInPoints` in interface `TabStop`
      Returns:
        position in points

    - #### setPositionInPoints

          public void setPositionInPoints(double points)

      Description copied from interface: `TabStop`
      Sets the position in points relative to the left side of the paragraph
      Specified by:
        `setPositionInPoints` in interface `TabStop`
      Parameters:
        `points` - position in points

    - #### getType

          public TabStop.TabStopType getType()

      Specified by:
        `getType` in interface `TabStop`

    - #### setType

          public void setType(TabStop.TabStopType type)

      Specified by:
        `setType` in interface `TabStop`

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public HSLFTabStop clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public HSLFTabStop copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Returns:
        a deep copy of the implementing class / instance

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

      Specified by:
        `getGenericProperties` in interface `GenericRecord`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.